# tpo-chooser
## tpo-chooser-item
选择组件            
 支持单选 多选 下拉选择 弹窗选择 行内选择 块状选择            
 支持选择子项单个字段 支持选择整个子项对象          
 支持自定义 选定的样式            

## 用法
```
import {Chooser, ChooserItem} from 'tpo';
Vue.component(Chooser.name, Chooser);
Vue.component(ChooserItem.name, ChooserItem);
```
```
<tpo-chooser>
    <tpo-chooser-item>一些内容</tpo-chooser-item>
</tpo-chooser>
```
```
<tpo-chooser>
    <div> <!-- 滚动容器 -->
        <tpo-chooser-item>一些内容</tpo-chooser-item>
        <tpo-chooser-item>一些内容</tpo-chooser-item>
        <tpo-chooser-item>一些内容</tpo-chooser-item>
    </div>
</tpo-chooser>
```
## props
### tpo-chooser

- value: v-model绑定的值 *必填* 多选时类型为数组
- defaultValue: 用于判断已选定的值，判断子项是否选定， *必填*  
    若为多选对象，此内容需要计算
- dropDown: 是否下拉选择 默认是
- pop: 是否弹层选择 默认否
- boardClass: 弹层和下拉时 选择前输入框样式   自定义样式会覆盖默认样式
- textAlign: 弹层和下拉时文字对齐方式 默认left
- need: 选择的目标 'value'时为选择子项的props.value, 'item'时为选择对象  *必填*
- placeholder: 未选择时显示的内容 input的placeholder 默认‘请选择’

### tpo-chooser-item

- value: 获取单个字段时所要获取的内容 获取对象时用于判断当前项是否被选  *必填*
- name: 当前项显示出来的内容  也可用于判断被选状态  *必填*
- item: 当前项的所要内容 获取对象时的获取内容  *非必填*  获取对象时*必填*
- disabled: 当前项是否禁选  默认false

## 被选 判断

- 单选 字符

判断 tpo-chooser的value是否等于子项的value            
此时tpo-chooser的value和defaultValue一样

- 单选 对象
判断 tpo-chooser的defaultValue是否等于子项的value         
此时tpo-chooser的defaultValue是从其value上取来的  （例子中的type)

- 多选 字符
判断 tpo-chooser的value是否包含子项的value            
此时tpo-chooser的value和defaultValue一样

- 多选 对象
判断 tpo-chooser的defaultValue是否包含子项的value         
+此时tpo-chooser的default是其value中每一项中的字段 也就是子项中的value字段+

## 子项中不触发 选中 | 取消 功能的 DOM
给子项当中特定```DOM```添加类名```.tpo-stop-choose```，则该```DOM```被点击时不再触发 选中 | 取消选中
可以在该```DOM```上绑定其他事件，比如查看详情 或者别的什么

## 自定义选定样式
可直接写到子项的solt中  样式 icon 等看需求

## 关于label标签
label for 可以出发input的click事件         
 所以如果在子项中同时使用label和input 会出现click一次 但是选择了两次的bug     
 单选由于逻辑问题 不会出现错误        
 多选则会选择后直接取消  或者 取消后再次选择        
 可单用input       