# ServiceUnit 

# 公用
* spinner 为 icon 的名称；
* v-bind:curType 默认为1，范围是1-6； v-bind的语法保证curType为数字类型;
* v-bind:price；数字类型；内部会转换为保留2位小数的浮点类型；
* :clickFn = 'clickFn'; 点击按钮事件需要在父组件methods中定义clickFn，子组件内部会调用并传参,参数为：$event.target, price;
* 如果没有自定义的按钮那么事件绑定在子组件的btn上；如果有自定义的按钮那么事件绑定在其父元素div.service-right上，通过点击的$event.target 判断是否点击到 .btn；

# 按钮的公用样式
* ```html
    <span class="btn btn-danger btn-larger btn-dangerlight btn-block">预约下单</span>
  ```
* .btn 基本按钮样式默认 display: inline-block;
* .btn-default 灰色按钮
* .btn-danger 红色按钮
* .btn-larger 略大的按钮
* .btn-dangerlight 淡红色按钮
* .btn-block 独占一行按钮 

# 类型1(中间部分水平排列)
* 默认
* ```html
    <tpo-service-unit spinner="aa" v-bind:price="price" :clickFn="clickFn"></tpo-service-unit>
  ```
* 自定义slot文案
* ```html
    <tpo-service-unit spinner="aa" v-bind:price="price" :clickFn="clickFn">
        <span slot="icon-name">电话1</span>
        <span slot="tips">合计1</span>
    </tpo-service-unit>
    ```  
    
# 类型2(中间部分垂直排列)
* 默认
* ```html
    <tpo-service-unit spinner="aa" v-bind:curType="0" v-bind:price="price" :clickFn="clickFn"></tpo-service-unit>
    ```
* 自定义slot文案
* ```html
    <tpo-service-unit spinner="aa" v-bind:curType="0" v-bind:price="price" :clickFn="clickFn">
        <span slot="icon-name">电话1</span>
        <p class="text-gray" slot="tips">不含配送费</p>
    </tpo-service-unit>
    ``` 
    
# 类型3(取消 + 价格 + 按钮)
* 默认
* ```html
    <tpo-service-unit spinner="aa" v-bind:curType="3" v-bind:price="price" :clickFn="clickFn">
    </tpo-service-unit>
    ```
* 自定义取消文案   
* ```html
    <tpo-service-unit spinner="aa" v-bind:curType="3" v-bind:price="price" :clickFn="clickFn">
        <span slot="cancel-name">取消订单</span>
    </tpo-service-unit>
    ``` 

# 类型4(icon + 按钮)
* 默认
* ```html
    <tpo-service-unit spinner="aa" v-bind:curType="4" v-bind:price="price" :clickFn="clickFn">
    </tpo-service-unit>
    ```
* 自定义icon文案和按钮数量，按钮垂直排列  
* ```html
    <tpo-service-unit spinner="aa" v-bind:curType="4" :clickFn="clickFn">
        <span slot="icon-name">电话1</span>
        <div slot="btn-group">
            <div class="btn btn-danger btn-larger btn-block">到点买单</div>
            <br/>
            <div class="btn btn-danger btn-larger btn-block btn-disabled">暂无服务</div>
        </div>
    </tpo-service-unit>
  ```
* 自定义icon文案和按钮数量，按钮水平排列  
* ```html
    <tpo-service-unit spinner="aa" v-bind:curType="4" :clickFn="clickFn">
        <span slot="icon-name">电话1</span>
        <div slot="btn-group" class="btn-group">
            <div class="btn btn-danger btn-dangernobg btn-larger">预约服务</div>
            <div class="btn btn-danger btn-larger">到店买单</div>
        </div>
    </tpo-service-unit>
  ```

# 类型5(右对齐按钮)
* 默认
* ```html
    <tpo-service-unit v-bind:curType="5" v-bind:price="price" :clickFn="clickFn"></tpo-service-unit>
    ```
* 自定义右对齐多个按钮  
* ```html
    <tpo-service-unit v-bind:curType="5" v-bind:price="price" :clickFn="clickFn">
        <div slot="btn-group">
            <span class="btn btn-danger btn-larger">去支付1</span>
            <span class="btn btn-danger btn-larger">去支付1</span>
        </div>
    </tpo-service-unit>
  ```
* 自定义单个占一行按钮  
* ```html
    <tpo-service-unit v-bind:curType="5" v-bind:price="price" :clickFn="clickFn">
        <div slot="btn-group">
            <span class="btn btn-danger btn-larger btn-block">预约下单</span>
        </div>
    </tpo-service-unit>
  ```
* 自定义2个平分按钮 
* ```html
    <tpo-service-unit v-bind:curType="5" :clickFn="clickFn">
        <div slot="btn-group" class="flex-row">
            <span class="btn btn-danger btn-larger btn-dangerlight btn-block btn-no-border">预约下单</span>
            <span class="btn btn-danger btn-larger btn-block">预约下单</span>
        </div>
    </tpo-service-unit>
  ```

# 类型6(交易状态 + 按钮)
* 默认
* ```html
    <tpo-service-unit v-bind:curType="8" :clickFn="clickFn"></tpo-service-unit>
    ```
* 自定义申请中状态  
* ```html
    <tpo-service-unit v-bind:curType="6" :clickFn="clickFn">
        <p slot="service-status" class="text-blue">申请中</p>
        <p slot="deadline" class="letter-space">
            {{count}}
            <span class="text-gray">天</span>
            22
            <span class="text-gray">时</span>
            33
            <span class="text-gray">分</span>
            11
            <span class="text-gray">秒</span>
            <span class="text-gray">后结束</span>
        </p>
    </tpo-service-unit>
  ```
* 自定义结束状态  
* ```html
    <tpo-service-unit v-bind:curType="6" :clickFn="clickFn">
        <p slot="service-status" class="text-blue">申请中</p>
        <p slot="deadline" class="letter-space">
            {{count}}
            <span class="text-gray">天</span>
            22
            <span class="text-gray">时</span>
            33
            <span class="text-gray">分</span>
            11
            <span class="text-gray">秒</span>
            <span class="text-gray">后结束</span>
        </p>
        <div slot="btn-group">
            <div class="btn btn-danger btn-larger btn-block">到点买单</div>
        </div>
    </tpo-service-unit>
  ```



   
