import Switch from '../packages/Switch/index.js'
import Toast from '../packages/Toast/index.js'
import Lazyload from '../packages/Lazyload/index.js'
import Swipe from '../packages/Swipe/index.js'
import SwipeItem from '../packages/SwipeItem/index.js'
import PullRefresh from '../packages/PullRefresh/index.js'
import Picker from '../packages/Picker/index.js'
import Button from '../packages/Button/index.js'
import Loading from '../packages/Loading/index.js'
import { Chooser, ChooserItem } from '../packages/Chooser'
import ServiceUnit from '../packages/ServiceUnit'
import SwiperSlide from '../packages/SwiperSlide'
import Code from '../packages/Code'


const components = {
    Switch,
    Lazyload,
    Swipe,
    SwipeItem,
    PullRefresh,
    Picker,
    Toast,
    Button,
    ServiceUnit,
    Loading,
    Chooser,
    ChooserItem,
    SwiperSlide,
    Code
}

components.install = (Vue) => {
    Vue.use(Lazyload, { try: 3 })
    Vue.component(Switch.name, Switch);
    Vue.component(Swipe.name, Swipe)
    Vue.component(SwipeItem.name, SwipeItem)
    Vue.component(PullRefresh.name, PullRefresh)
    Vue.component(Button.name, Button)
    Vue.component(ServiceUnit.name, ServiceUnit)
    Vue.component(Loading.name, Loading)
    Vue.component(Chooser.name, Chooser)
    Vue.component(ChooserItem.name, ChooserItem)
    Vue.component(SwiperSlide.name, SwiperSlide)
    Vue.component(Code.name, Code)

    Vue.$Picker = Vue.prototype.$Picker = Picker;
    Vue.$Toast = Vue.prototype.$Toast = Toast;
}

export default components;
export {
    Switch,
    Lazyload,
    Swipe,
    SwipeItem,
    PullRefresh,
    Picker,
    Toast,
    Loading,
    Chooser,
    ChooserItem,
    ServiceUnit,
    SwiperSlide,
    Code
}